# Packmanpackagename: cxxtools
# Packman: Manfred Tremmel

%define major     9
%define lib       libcxxtools
%define libname   %{lib}%{major}

Name:           cxxtools
Summary:        Cxxtools is a collection of general-purpose C++ classes
Version:        2.2.1
Release:        1.2
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
Url:            http://www.tntnet.org/cxxtools.hms
Source0:        cxxtools-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       %{libname} = %{version}-%{release}
BuildRequires:  glibc-devel
BuildRequires:  gcc-c++

%description
Cxxtools is a collection of general-purpose C++ classes.
Tools part.

%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of cxxtools
Provides:       %{lib} = %{version}-%{release}
Obsoletes:      cxxtools%{major} < %{version}-%{release}
Provides:       cxxtools%{major} = %{version}-%{release}
Obsoletes:      cxxtools < %{version}-%{release}
Provides:       cxxtools = %{version}-%{release}

%description -n %{libname}
Cxxtools is a collection of general-purpose C++ classes.

Shared library part of cxxtools


%package -n %{lib}-devel
Summary:        Cxxtools is a collection of general-purpose C++ classes
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}-%{release}
Requires:       %{name}
Requires:       glibc-devel
Obsoletes:      cxxtools-devel < %{version}-%{release}
Provides:       cxxtools-devel = %{version}-%{release}

%description -n %{lib}-devel
Cxxtools is a collection of general-purpose C++ classes.
Development files



%prep
%setup -q -n %{name}-%{version}

%build
%{configure}
%{__make} %{?jobs:-j%{jobs}}

%install
%{makeinstall}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{lib}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Feb 22 2014 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2.2.1-1
- Update to 2.2.1, better late, then never...
* Sat May 26 2012 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2.1.1-1
- Update to 2.1.1
* Sun Apr 15 2012 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2.1-1
- Update to 2.1
* Tue Aug 03 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2.0-1.pm.0
- Update to 2.0
* Mon Sep 21 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 1.4.8-1.pm.2
- added patch to compile it with gcc 4.4 (openSUSE 11.2)
* Thu Sep 03 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 1.4.8-1.pm.1
- cleanups where rpmlint wasn't so happy
* Sun Jun 15 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1.4.8
* Tue Mar 25 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1.4.7
* Mon Mar 10 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1.4.6.1
* Mon Dec 17 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- initial build
